type: com.google.api.codegen.ConfigProto
config_schema_version: 2.0.0
language_settings:
  java:
    package_name: com.google.cloud.pubsub.v1
    interface_names:
      google.pubsub.v1.Publisher: TopicAdmin
      google.pubsub.v1.Subscriber: SubscriptionAdmin
interfaces:
- name: google.pubsub.v1.Publisher
  methods:
  - name: Publish
    batching:
      thresholds:
        element_count_threshold: 100
        element_count_limit: 1000     # TO BE REMOVED LATER
        request_byte_threshold: 1048576  # 1 MiB
        request_byte_limit: 10485760  # TO BE REMOVED LATER
        delay_threshold_millis: 10
      batch_descriptor:
        batched_field: messages
        discriminator_fields:
        - topic
        subresponse_field: message_ids
